<?php 
ini_set('display_errors', 1);
ini_set('display_startup_erros', 1);
error_reporting(E_ALL);
include_once("../config.php"); 

$cs = new cs;
$result  = [];
$consulta = '';

// Consulta para testar 
// $consulta = "SELECT id, vencimento, ativos, login, senha, valor_por_lista, email FROM gerenciadores WHERE id = 1571708579";

// Consulta de produção
$consulta = "SELECT id, vencimento, ativos, login, valor_por_lista, email FROM gerenciadores WHERE gerenciador_responsavel = 1010101010 AND vencimento = (DATE(now()) + interval 1 day) order by vencimento";

if (!empty($consulta)) {
    
    $gerenciadores = $cs->executeQuery($consulta);

    $gerenciadores = $cs->fetchQuery($gerenciadores);



    // Se total de gerenciadores --> count($gerenciadores) for maior > 0 que zero eu entro no IF 
    if (count($gerenciadores) > 0) {
        
    	foreach ($gerenciadores as $key => $gerenciador) {
    		
            if ($gerenciador['ativos']) {

                $gerenciador['total'] = intval($gerenciador['ativos']) * intval($gerenciador['valor_por_lista']); 
                
                $gerenciador['total'] = number_format($gerenciador['total'], 2, ',', '.');

                $gerenciador['senha'] = '';
        
                $result['result']     = $cs->sendEmailGerenciador('cob_revenda', $gerenciador); 
                
                $result['gerenciadores'][] = $gerenciador;
            }           
        }     
    }
}  

// Se houve algum erro depois de todo o codigo executado acima eu exibo
$result['errors'] = $cs->errors;

echo json_encode($result); 



